Deflater
Date: 2015-09-12

com.jcraft.jzlib

## Class Deflater

- java.lang.Object
- - com.jcraft.jzlib.ZStream
  - - com.jcraft.jzlib.Deflater

-     public final class Deflater
      extends ZStream

- - ### Field Summary

    - ### Fields inherited from class com.jcraft.jzlib.ZStream

      `avail_in, avail_out, msg, next_in, next_in_index, next_out, next_out_index, total_in, total_out`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Deflater()`
    `Deflater(int level)`
    `Deflater(int level, boolean nowrap)`
    `Deflater(int level, int bits)`
    `Deflater(int level, int bits, boolean nowrap)`
    `Deflater(int level, int bits, int memlevel)`
    `Deflater(int level, int bits, int memlevel, JZlib.WrapperType wrapperType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `copy(Deflater src)`
    `int` | `deflate(int flush)`
    `int` | `end()` Those methods are expected to be override by Inflater and Deflater.
    `boolean` | `finished()`
    `int` | `init(int level)`
    `int` | `init(int level, boolean nowrap)`
    `int` | `init(int level, int bits)`
    `int` | `init(int level, int bits, boolean nowrap)`
    `int` | `init(int level, int bits, int memlevel)`
    `int` | `init(int level, int bits, int memlevel, JZlib.WrapperType wrapperType)`
    `int` | `params(int level, int strategy)`
    `int` | `setDictionary(byte[] dictionary, int dictLength)`

    - ### Methods inherited from class com.jcraft.jzlib.ZStream

      `deflateEnd, deflateInit, deflateInit, deflateInit, deflateInit, deflateInit, deflateInit, deflateParams, deflateSetDictionary, free, getAdler, getAvailIn, getAvailOut, getMessage, getNextIn, getNextInIndex, getNextOut, getNextOutIndex, getTotalIn, getTotalOut, inflate, inflateEnd, inflateFinished, inflateInit, inflateInit, inflateInit, inflateInit, inflateInit, inflateInit, inflateSetDictionary, inflateSync, inflateSyncPoint, setAvailIn, setAvailOut, setInput, setInput, setInput, setNextIn, setNextInIndex, setNextOut, setNextOutIndex, setOutput, setOutput`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Deflater

          public Deflater()

    - #### Deflater

          public Deflater(int level)
                   throws GZIPException

      Throws:
        `GZIPException`

    - #### Deflater

          public Deflater(int level,
                  boolean nowrap)
                   throws GZIPException

      Throws:
        `GZIPException`

    - #### Deflater

          public Deflater(int level,
                  int bits)
                   throws GZIPException

      Throws:
        `GZIPException`

    - #### Deflater

          public Deflater(int level,
                  int bits,
                  boolean nowrap)
                   throws GZIPException

      Throws:
        `GZIPException`

    - #### Deflater

          public Deflater(int level,
                  int bits,
                  int memlevel,
                  JZlib.WrapperType wrapperType)
                   throws GZIPException

      Throws:
        `GZIPException`

    - #### Deflater

          public Deflater(int level,
                  int bits,
                  int memlevel)
                   throws GZIPException

      Throws:
        `GZIPException`

  - ### Method Detail

    - #### init

          public int init(int level)

    - #### init

          public int init(int level,
                 boolean nowrap)

    - #### init

          public int init(int level,
                 int bits)

    - #### init

          public int init(int level,
                 int bits,
                 int memlevel,
                 JZlib.WrapperType wrapperType)

    - #### init

          public int init(int level,
                 int bits,
                 int memlevel)

    - #### init

          public int init(int level,
                 int bits,
                 boolean nowrap)

    - #### deflate

          public int deflate(int flush)

      Overrides:
        `deflate` in class `ZStream`

    - #### end

          public int end()

      Description copied from class: `ZStream`
      Those methods are expected to be override by Inflater and Deflater. In the future, they will become abstract methods.
      Overrides:
        `end` in class `ZStream`

    - #### params

          public int params(int level,
                   int strategy)

    - #### setDictionary

          public int setDictionary(byte[] dictionary,
                          int dictLength)

    - #### finished

          public boolean finished()

      Overrides:
        `finished` in class `ZStream`

    - #### copy

          public int copy(Deflater src)